summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-11-15 20:21:53 +0100
committerThomas Deutschmann <whissi@gentoo.org>2018-11-15 20:28:21 +0100
commitdbe7fc870dc9ac38ec04332f5acc362ea0a158cc (patch)
tree9df0cffb75c4741041e90af15da26cfdc276b9fa /www-client
parentmedia-plugins/kodi-audiodecoder-modplug: 2.0.0 version bump (diff)
downloadgentoo-dbe7fc870dc9ac38ec04332f5acc362ea0a158cc.tar.gz
gentoo-dbe7fc870dc9ac38ec04332f5acc362ea0a158cc.tar.bz2
gentoo-dbe7fc870dc9ac38ec04332f5acc362ea0a158cc.zip
www-client/firefox: bump to v63.0.3
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'www-client')
-rw-r--r--www-client/firefox/Manifest92
-rw-r--r--www-client/firefox/firefox-63.0.3.ebuild641
2 files changed, 733 insertions, 0 deletions
diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index ecac3f7af77..6af79ffe759 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -277,3 +277,95 @@ DIST firefox-63.0.1-xh.xpi 466849 BLAKE2B 7296889c11342d5404a18aa050202b14521508
DIST firefox-63.0.1-zh-CN.xpi 504058 BLAKE2B f3a2ae6963c4119f6938f97b8f65fff25630b25157e3731fd01a946a066d3caece86ca880c2c2ae8473386c9145be769f67ba7e483018bc47ecabde32f5fda65 SHA512 e7f6ff4f2d86669e0040b3fc0a508b4b1ddecc870be8e8eb2dc182c37adc66218729d635a1fab1c6dc72d4b64c859672a3a5704820db28afe9847b8eca239aa4
DIST firefox-63.0.1-zh-TW.xpi 507003 BLAKE2B 14fddc256936cf9718ebac818c799004df2ce3ff6a445e3ddbb2f50e4ceec68f7da7707c1fbecb3630c36611898fbfc8c2393db69727b38adb5c2e64fe598057 SHA512 77efebbdcdcde77d87d733dc43edef96517b8e533f542d706ed4241e265acf41aa587f131ff18789c975b18cbfc48a2ef504db1f1a2d94d1ed935853423071e3
DIST firefox-63.0.1.source.tar.xz 265358784 BLAKE2B 45cfab151eebe9cd0161c258573b7866d519ca8b5e43894e5f4732fc9eb7c167b8696d989683df3c8e09d0e6d76e2804049d67e8e5bf9e60da2d1d538d53d7c5 SHA512 29acad70259d71a924cbaf4c2f01fb034cf8090759b3a2d74a5eabc2823f83b6508434e619d8501d3930702e2bbad373581a70e2ce57aead9af77fc42766fbe2
+DIST firefox-63.0.3-ach.xpi 455083 BLAKE2B 8da9856c130eec1837a0304813bfaa91928b52d558c41eb6492072e98e054b976b2981c28e5a2c287e4d06cecc130a5b9d9c3de32ef040ec2f5d43e42c5a506a SHA512 f3c29e19d4a34354187f162a4f23509aa6fbd26991fccb8368548ef0d9bc826f36c2fcb710cc0894aebd5a24adeb956c30857c917d6a152d254a6410a07ac2be
+DIST firefox-63.0.3-af.xpi 437909 BLAKE2B 16a47131bc04a62a523203746ea4d51b5b1e171fa8db01d649e2021b03772e439f2bd13863868351249533b379d24cafd72e85384202dda7a092c8a3d187a4ca SHA512 04d676f99876505f94d1bfdf928887c3f7bb6e65aef351873fbffa8b2eb45eca89c916949e5ccd1fb3dad1d791bbbe914cceb78b6386b84c63f4d924261af173
+DIST firefox-63.0.3-an.xpi 474544 BLAKE2B dd2ded169c38aece2c199927b752bea43406034d82f98f374e47b549a2b2e0f5f2c3231484c1f3caa75c3dcb0021f865cdb5950075a86882bcfea34761c51400 SHA512 7de84715c61a1cbdf04d57580f1c9925b0840e30d7c64e7db6efa0968381b6a03db57c1ff2fca5dc59829cde7d976fba84915d4133744fff81bf99b16bd6a7d1
+DIST firefox-63.0.3-ar.xpi 513466 BLAKE2B b67eb8ad64adcd479da500d8386677c1e0246a60718ddec6148ac0a0483a83177b5738f25bc77e7f938358fca7b024bdec8b2dd7852ca18c7cad39bb1435a34e SHA512 453041496b42c4540ba1ef00c0027897e8b201c3d0285ae13e1984716ef029cf6358afef9f8e52c44e2c3f93555a66ead0a316c772416cf1f76b356922e318b5
+DIST firefox-63.0.3-as.xpi 482194 BLAKE2B cdc718a7c32c522eb918121601185232b9c1ef34901579c7decd3cf77f0b4c6e8d547ab78a4cb14d1ce54c922e9d3c84819a1af59c44f936f05ccb36f13555ee SHA512 b9d4f7b6b1af35485525f2445d68c06f647c0f703d2774eeea033d3d610c57ee2752d87b94a797bef6218bd96e6b09ee9ed86bf89ee1605915f69f5245df16a2
+DIST firefox-63.0.3-ast.xpi 465658 BLAKE2B 76effba5de7969e5b22323d7abebc18970aaa0fe772bd397d0fcec12a3a9444d20c42cf20e1238cc08aae546d7e244cb98800b0f49dccd3cc205a706508d536e SHA512 8a72fdcb5091fe6011e3e4204533bcecbe4e0b675c1db3b4ca8c7b25ad5dcfc37715f9d90aee10e0d26184aa0e15a43a9ea6b1248ee8fe952c9b592b5712f5b9
+DIST firefox-63.0.3-az.xpi 490944 BLAKE2B 835f2fda019a98b9db1910099ddf4395cfbfd8e6b4d33aea05ace546d45f4e8a49b0f3bf68360c26a45555cb970facd22077899815315002261edfc233061d06 SHA512 9a04efc8a092932f7dbda8bb6cb53ccb2845f23db8626102d58527f1a6b44774935bcfed3867bed0b7d061a5a3c1d6b9d785068722575cc78c7e0d396175446f
+DIST firefox-63.0.3-bg.xpi 523533 BLAKE2B 501a7aad7acdcbd6acaffa61cc2377c87adab178b741d590aa89ec04d489491dc6986e91cfc6ed017a7f978119bd6469bbca79d976a7890708e355418ccfdfc2 SHA512 caa3383009efe9990243e40c1231661174fee5338cee0002d770e62fec3c02f703088a60a1b8d78f7e46e469ac9f70c36469cb02520d2fd00ecad52ca7c9553a
+DIST firefox-63.0.3-bn-BD.xpi 548599 BLAKE2B ca283675d7e66bddda91c0f74602cb3ae07e03689da02fa8e5ef609b8e51ec8c0f6d118b1f655fc8dca027f0ca868531661665f91b49cd9f50da0013d14ea055 SHA512 e85a9e6d4bf9cb2b589ea0564b80fcc0e5284d9ca0d6c9884be5bc4c21407dde2d861cc9aa4eab5bf2512ca85ae0f235180de59ab602e75dc56cd8391b3f818f
+DIST firefox-63.0.3-bn-IN.xpi 516019 BLAKE2B 7b8d86c96f23723029fbc991d02f1f4306512a3c5d252b91d7e3c19cd2eae785d53f45971c72c7492b26a65156779ba21642a3221889f06db1c1c734684517b5 SHA512 0b2bbb53e52776d9c42bf0fb9d44197ada980bef5e9966acdbc4a7b4d5dba074c548979f8222a475f20e37846f4467a108ba1c80575de872ecbe9be82c8167d2
+DIST firefox-63.0.3-br.xpi 474387 BLAKE2B 156beb06e05b7d2e52d4a16d179c9f670e7c51cde3b7bd30cb85a04f3a1cb5298fd706e60e2e19ba2dde0588d3b708af618e0c9fcddbd89ea2f0f71eb672963f SHA512 695069beeea62d15790f41ff82947c8d1409045ab859569cd6d19f151e0034d990a86595ccb163196d0fa2789107cac05015e6f72c84998ccadeeea165b60e61
+DIST firefox-63.0.3-bs.xpi 472890 BLAKE2B 49a6150ff9b203bbdda58aaba68828e0588b0f3931eba806673dd2d74ed74190cdefa777e7af45b62b13733285a492ed4dfaf376abc077283a6ece0ab1f19d2c SHA512 1b2ab07179f930f88523fffe3ff41af6a167a6c5ca9677134079c33f3cff29cfae7243d8bd0817efaf08d3e3db2b4c5dce215b2097981ee835ff0bb5b81ca5fd
+DIST firefox-63.0.3-ca.xpi 469252 BLAKE2B ae790883db5b1ec6abfe6450f82144334f0fbecb229f505e12c156121cb592ee0a5b253c43422207631eb1b6988d3ef702ddcc9b7a6937d496f6bcacc4b71eee SHA512 f7436b99a1caa63ff0550f75917b3003395133bb35e0fdff0ce40ce7671aa8f7227d6473b532a4d9d2fa1b81d943ff6a424042e6af6b1f96a9d2f17461ca2fcf
+DIST firefox-63.0.3-cak.xpi 502721 BLAKE2B 2af82c296f502c69d4e2e63bbcd8b87a74ba71e9b0ff541e7f3aaaf02c370d5da58a6771012eb9529a14b8ff02152fb3035abbf906f13ba0e57dfd664f550620 SHA512 6e7ead9d4f860fabffb7179377157f063429763608345d8a47bbe7ce76e5acb7b416e976bd66fa2f8a50e04f489b64a327e78b3ff0d722b393f8ac96c951edcc
+DIST firefox-63.0.3-cs.xpi 489313 BLAKE2B da6604d91f6e897e207dc871dfc5dbb36164fec546fdda6c92c323ab61a38faec77501b7d800420379916c63778c6474023ed774cf694338e948f611943a6a55 SHA512 3bc62a19bef0cc0d1733a582e58089d296df13524b101d4092508467349ca111d48077b275ac347574f5ed93f827eba3fe32bbbb16322705f08171b38b091106
+DIST firefox-63.0.3-cy.xpi 481075 BLAKE2B c78d98adb18d95b290c544e400c9420ecfa8128227ba606d5f45077941cdea063da5299e491bc986fce6e2790b065a743682e2b7231e6aaea92b1c4f3adf9706 SHA512 a4fbc190c2e249ea142aef8d69ab22e8296ab76c793b94d414781c4007d1dcecfa9077746b8b64ceafc09ca2b5cafdf0dc1bf8808f14be04a18d89539d3950d6
+DIST firefox-63.0.3-da.xpi 481842 BLAKE2B 518409e0604e13928cb37b7fb37f3cfe276d4b613e8f9c921fddc1d1fe05d1bad66cfe2c31c2cdcb70fec8dadcd49ebad73d16d1d60a38fa79d97c55c785e733 SHA512 935fcce7adb7e76e52c31deb58cfa3d1853a8e2905f1b73deb1386cfaf03209cc00519a9b1b5018ebd70ea05ac2d27d596e43d651478ce401c1d4ac17431c89e
+DIST firefox-63.0.3-de.xpi 491988 BLAKE2B 1ab8008d7fd0ad9382ed97c830757ae9e07b9960ea7eb5314935e7706e664ac84c4270e9e4e7b2147e997a4d14242dbc357dae2fb3d11c427cb15a08e3937e35 SHA512 78643595cc9199767c34d8a1ab3fb09abf63062e2e7e7b635d32c37ec2cff517bc60ae01dafcf019f008ecf08047fe870cfde99f6d565155cac4585b983dcb53
+DIST firefox-63.0.3-dsb.xpi 500879 BLAKE2B ed4ffafcb74d1a6a6fdeb8efec221a6113e159c0d18d221dd0bd29d13cfc5143b3efcc287c18eb05160396abf1e15f3541cf5d24797c3e84476d33d2780139fc SHA512 ec67474ec229b280571ad1418ca639ac07a3dc12a3e3e7ca622f6dd7bdb33d42a95e59f3e928c268322de1d464499d43a670c1e62c2bcd0b3d4f8286a1c172de
+DIST firefox-63.0.3-el.xpi 558446 BLAKE2B 045d82106e3f97c0e59a2b39c2078367cefa32d5c36eee66b3bfdc280ac191f765e6eec150932f4841c76834d6a4c3f318861c8343e7d768eddd00a343fe6d3c SHA512 9d2f60e32eaa9c3ac67f4bd7a4449b1c40bb034891005c7ed3dea30d357af44ae80b3aa25194a4f5d8c20cc5f0e515e551c394b5055c493aae037fddf0816aa9
+DIST firefox-63.0.3-en-GB.xpi 442415 BLAKE2B 8941a1eb879de2d0714ad9fba91a6e038b9717915d05045316287079c48305be0b65f4b74f9ca129030687ad68c9137b4788c257e62a1122faa6d25f8869fb97 SHA512 0f59c5632f20e5369a5154ee79a058c33eb0a21a4764c790c21e90f0b04686cf63d909a8d598da03b3260c70f841c7510b53b04de6361f0e340cf3ea777476c1
+DIST firefox-63.0.3-en-ZA.xpi 427851 BLAKE2B 6779f3c071693cdc6ab69269f55b5995560dcc814a14c63bba0effff2d612835a6933f4280f0fd09f4ded75475cbefe875faceaf08d30c591020f87136da27ea SHA512 de81a32cab6b6359a760b99baa40481ef76279860c2c9ae270c28c385ea76538c00a0581c8123d3072f28dad027c4521d934aab0209b162ed5cb2583661a4033
+DIST firefox-63.0.3-eo.xpi 478965 BLAKE2B 0cb0013ec2fc26eebf24e50a6efd956b71428024d6f5d71f020204b5a5679ce88079d0c462ad28411db94b9ca5e1fd8d8f968392599e8d9ab6a8c0ab105361c4 SHA512 b342fef5c78953d0ee3528e28e6b1633257637d7f9d2a3bdfe941acd46f660d4607921d4ca9076af21a1133be3e9c62de9fbff09579e117478571d3e3249bc59
+DIST firefox-63.0.3-es-AR.xpi 486916 BLAKE2B 7320a113547a20367f2db2ace046dbbe56586f7c71f79ca78cd32f32973c68a0916775112693fe3c2fb18e30e1303264744e9f31baa3aa3ab64483c779862094 SHA512 1fcc0c18f319a94c3d11e30756da6f955780aaf8f644bf00001f8c0a8346cd9627968d54e427d2a3fc360910ddfa8c8244e97a72f2ba46d6ab377d85ef1a9fcb
+DIST firefox-63.0.3-es-CL.xpi 487572 BLAKE2B b120fed016797d734a7f879e430db1fe54738da7e80efba5b0ac4991ac9534e13d922a75afe4492906e01e38aecb75a46002077c95d9eba0670c2d60f6f82574 SHA512 b63c8d42972f0e716c4c67bfbacc4c95700bc483d3bbc9bbef6de0c5518c23b9994b83ac1175e902d72be5a621b76005897f8c2788b61351f2906a53c6e4d290
+DIST firefox-63.0.3-es-ES.xpi 431431 BLAKE2B b64b6be52ebc4115b68f5d86792c1fceb88b8264cdbee78793dceacae9b07a3605ca4366f9ec56e102d735f53cbab4a94ee0526fa09f302b5908e973db97c811 SHA512 248935b880154df85401aca33812b106dbb5d508865f77ec89b54586a581d11902d80fd232eeefee9448973fd12dae68987f274840f32e8f1a1c8f72f72260f4
+DIST firefox-63.0.3-es-MX.xpi 490505 BLAKE2B a7eaec3a6db182a97ed7857256618a8d9ab26f2b9e60664905abafbcef2137d5d6caa22f1401a3db9dbf43e457d2f37cc45f0512db1a1b72fd313a2c6021649a SHA512 6e1f0ca817e1b717f07ca40a304a6938bc5b2fd4364622bab96f479af9b1c6e3560db9b6e7dd4277475a430fe16ba6c2bc035756306f7831d1e4122756eeb0ac
+DIST firefox-63.0.3-et.xpi 469970 BLAKE2B fc27df6e546daf17a77123882df43336dd1267d331cdc07f56292cde1ce0d6580d33b25593c1005e41399c9358e29b5d6072f4c192760f93b15ef00cec17b59a SHA512 5d3a38c01fc0c981d5fed466140158da38ee575e3f56131598ef5586299dd511ddcdfb627612fb996dd24f62f73c369b5aa98004a183082995ac5a81914dfe24
+DIST firefox-63.0.3-eu.xpi 478606 BLAKE2B ffb37cc932ab135ad170d997fc97959ef811b29baaddb4cada3f88bf01fbd86f23e1089aeccb2bd595bf038b7bdfa9b13c7d70a337767c93e26590e7fff7500d SHA512 03da222a239dc460bd9b4da30b219fa402cb426e6ccd0fa046315f618b44819e8a6ebd247e0fb5b4bedec0562345cd1fc011a32bb4e529e016e96844416b1c1a
+DIST firefox-63.0.3-fa.xpi 529582 BLAKE2B 2b2012cdd2bd802e56ca1800ed4db32fe8c9998e8b45c402afadddfc1f13afa27a5445b9d6b8fa38abb60d675183c7abdfd3e6f2a0a09434442c344a32917b76 SHA512 0ca7873a30e029776d587b0543f9f6b38a54271c45c0b4d3d8fda9c35f0b23e72bb10175eebe3946bfa6db92fafa77d53d2495336ef05a5f64d479453098cb64
+DIST firefox-63.0.3-ff.xpi 467973 BLAKE2B 7b4d0aeac937fbeac6af1765ab6fb13138b2d2ffab7fdf81db7e3be4a8575f3d582b74ccb4ed0f925b65773c5c62e29d6e81a637f3531d4656cc6f25e5a030f9 SHA512 66e1465033206484cf12ebfd519d08638c33623717730b893dbff632a062c22c449e60efbc07a2a4a509f2db570b8ccbfe8ef825eb010a888a79423db0f471c2
+DIST firefox-63.0.3-fi.xpi 467883 BLAKE2B 66c19ed5ffd27b777f7cec920ce1c7e2e696478c593326fe20220b62801151001e7e92eba7206762eb374237c4bd8597a8d5d9efbff8185f3e5e8f1e0bb246d7 SHA512 dcb2fac65fb106826143499576194a493dea3de64f9cd31bb8e9a421aa6ee3fb5eed85e4e6eb83ea67f189b115981718d0361dc56e6e9c90c8becffd10580ada
+DIST firefox-63.0.3-fr.xpi 496629 BLAKE2B 688d6785c7350bbccd7adad2a6b52c99ef40b24ba09709a84e16b2a6f5d453e9176ce16ad5c55710c636326bfee06a2ed6727a7799d3c2acd65f99574bdefd1e SHA512 774eb1590eb6e3ed7a27af024b2a1650efb1acff876e1c5434037e71a6488df8ac9c79f9ac92a2865e97b143a9d0ca86de318a2d9912cea675f6753a8f5deb51
+DIST firefox-63.0.3-fy-NL.xpi 485368 BLAKE2B 300fa9b917da1f5e5d56b4744025f8c65bf4e59c13564f24bf3c13a178d600a7491519a8ea47d24e7b662a3de9d302c35682d2eba3d123da5622d5d2cd94a983 SHA512 8cb21f8022c3e05fddb5d166bfd7cd31be1e80356b8448a54e859a72a36f187717ee1fb4a530fa4b29b6c3b5e3d3f9c1ec745d23fe9a50124020fac4e30ad18d
+DIST firefox-63.0.3-ga-IE.xpi 479146 BLAKE2B 1f96993e565767bc6807df22b3a6538f8c5aac90e9d4c0f8cb8b71493696442864e8015e5f3b9b90abfb4dae435eae205b187ad6b8ff39be463f04812d58adc4 SHA512 d16d6422e90f49696da3a75da56a544db17b4a61f429647a094ab977a2b1ca92d56bbcbd28537cb940bf50e5faaf5fe2f9109030ee1c4c811f4a28e7a78b1f3e
+DIST firefox-63.0.3-gd.xpi 484591 BLAKE2B 95f617a55e479c2e6d03a74b32c908ac303861a38f053af2799c6a5e18447c551c6340ab2110ed4cfb76fb73084e0ab0fc88d943b2f1a13fca13785a27f4c144 SHA512 f807a1ee07ed41eebae48943cb777bd1dce6e6895c1df6b43f90b5080cd132f3e510b2e7f5ae2690218e69837d75f75cb162c7140180023ed5ad5bb149ee14d1
+DIST firefox-63.0.3-gl.xpi 455902 BLAKE2B b1119d9cc2afee1592569dc1dc64762e445be21afe85b74bb855afed04a2d0514235bc6c214fe158bb1a8490918c8e16d7e498ec2dee03d1578727166245d962 SHA512 5d46b3d88c2c85f68e6c6fcce9d6c08d222d0163d901177741fff8464fab1b234185c31d892d5bc24025e8177b1edf333a5e58a69758fee69d66c389deb31ca7
+DIST firefox-63.0.3-gn.xpi 496363 BLAKE2B b9088b27501e8f8bdfc45775e50c1b43c39cd27300c0954c36be38fc82f28546df98a3dc88599e37539decc6b3fecba96af9032e2532850ca46b308b346e500a SHA512 1f740beac85d13982e2f80a562ac75e7ee028ac27b1d7df92e5b4c997e90157c9b5f18b8a86d897694389d18ff722852b02ef0bf4e9cbd3a8342afd8a9e688c2
+DIST firefox-63.0.3-gu-IN.xpi 556303 BLAKE2B e636329ffca566d6e0423d3f8e29ad27b457dd4cd783995c9ecb8b457460a36a3565060376f74b64f68592160c36c5437ef3bf10ea1b9e0a39c84263da093d7c SHA512 f39d0d74badb50e6ec2cc060307ee40ce0efa71a5ef2eb56c824ea1e88f04c8105c06fffff8ef37394f0a7d8fa79b7ceea924c2809e157ef6977dfe70bf4300c
+DIST firefox-63.0.3-he.xpi 486232 BLAKE2B 45a7c48088f07c3946f92673d3b688abdd6796b876b55ba4d7704576b56b846863393c281dc283249a687e5edb542de1df7430ca4982fdb1236d56eb2e51452f SHA512 5c6d189053301171b4a714a781669e0ee14682f332bcccbd4bd66489e8026b29640e4d738fb00adaaa896133aab1ec6cd556d3be5471f7ea810cb4862c8da9f8
+DIST firefox-63.0.3-hi-IN.xpi 545392 BLAKE2B d4492c53193559b078ba038174d5442a40cfb1057a30856efe0d7ba300735f60699c5270ef28bc78a42df82c2d39dd81f59805bb0769f5eae573317b41ecdfb4 SHA512 9fb555ca9e8413ea0656dbe24ddb096d589e298074e88dd2ac016b6123d0144117d0f3e8d5844f5827397fd238ab2740ad4fb1e06826ca0db048174d2b83edf8
+DIST firefox-63.0.3-hr.xpi 468499 BLAKE2B d47d7bd6fc0b3716e302dd5caa90cf01098a6b8275872fc6a5797a72246c770a0a4625d42ad0d7be816b702154da301debca4440f03af2c2c9159c74fcade7d5 SHA512 fac44526faf6065182a9af253d128261b777f795f6c105b150a54e0124252dfe8e36ba87d9cffc0b5e71b02a4c4b16df3ea0130f9ed476bbf29de1680a578729
+DIST firefox-63.0.3-hsb.xpi 500688 BLAKE2B 9fd5d1887256cb12a921fd2754b0c5dc32f4d361d39a2841103de83a6b96b10409a4d1f2a1513229c6098a65e494c2b9b1d8d608530c2ed200165d8480ed5b06 SHA512 b4cff2885c84292e2af093362b3d9a9f613bc913711f15c43835f0e8e24ae497328fd09552aa153a21aa75b893b1c9e99e4b7c21651c7adc6f98cbbf90cd1476
+DIST firefox-63.0.3-hu.xpi 497766 BLAKE2B e693bcfbbcdb421fb8e0e130d720f515fe002437fc2e150c984fc4d8fc44b660f48f50e064d3b24da6ceaf2380ac985e6ff4d3a1d1b22c69e94d909a27688a47 SHA512 8783139172469522b198f8e28d4dce6730afea6a840a76c53e7411fa56574869d36b150419c690ff82fa78a23553273955ad96cf79f13296c3603e5e8a681ff3
+DIST firefox-63.0.3-hy-AM.xpi 525186 BLAKE2B 0cf04d6d8f0706a807ff6f7676170b6b13e4bd7880c9cb1b1296bd1bb12f2c0558abfc2870c699f9f0a44d47a8f1114f8283ae2a533f20791b2213948e1db6ba SHA512 68414a4b7090e705539dd137d7a578e351ab0b671f5c465c3833cf4e48447cb81f0788b69cd3acc7d1403bd66a6f730f10d48925ae80dc264ac059e52bbd492b
+DIST firefox-63.0.3-id.xpi 468256 BLAKE2B 4f75eeb3538dbc7fed2869bc1d3f6de99016a2c076bfef45ff14a558fc717ace42caecbf43b21876599ec5a49faba3dc2af3accf9f708f2dfec2710683cbcbcb SHA512 d6210ea03f6458641e40e965bbd5a290d0f0984dd23c8c8bea797a9af3d2eeeb3c1dff781f96713af39afe9cc995ced47b52a2aff3755f049b2a8067ef5df953
+DIST firefox-63.0.3-is.xpi 467334 BLAKE2B ea7b8939a8e8603819d4abc9f17222da8d6b44c1a78fd833fe385b5e7cddcb9f9faaa6dba7617ec95e7d100a448aea715e0a265d05574d4c338be2e079040c18 SHA512 c1dcb5a902871c9c5739c7ac02d05cb940c768dff970df6fb05f975a516489dd5580e4d703482de61b2854f21cbe76199c06aaa40dfc4ef6ecb8d46356829eb1
+DIST firefox-63.0.3-it.xpi 351086 BLAKE2B 5df34a0a22f055a9d1fb25b40189f239b437ff36b93564621a9cde40d158d00d40c7ae1734730436247817d955b9b6eb642afcaa0063dcc304979661998dbab3 SHA512 aa436e2237752532f0ed47744e6a932c9935e06fa692cedb6c5841c1cf8ad08755967c8ecc628f7ed18571b3225572f81b378d74b86b7987ac245993c929cf59
+DIST firefox-63.0.3-ja.xpi 501998 BLAKE2B ab2104b9a8d7e1c206655d5d2e69139873da5539f163fca8659e3a45e38a7ff70716c2705e3af892f4990444485e0e461fce9d2e93ae6dc8ca088a477b9ce044 SHA512 cdb2d37c9990427afa2a7e9cfe9a5682e4c781def55586cd6269681878e6d79977f2ae54fd147740a1418540083b38a658ea14e4069fe8ef8a38cd190c076bc7
+DIST firefox-63.0.3-ka.xpi 517231 BLAKE2B 8050c6fa042dfe21b8f024babf815e87d5513c3a6ed8b9fe737cce941f7e57b155811cd189cda93b6a8d52474e2888002f2ef096771b7548bb735f264c9c8995 SHA512 48ee2c7238ef8982ea1536b83b4dcf10c4fa601cbe919fd55e051c53c0dccc75ce2d0a5441bbdd6d7602bad72b474fb700c876612b528dc00401ad8af675d7f7
+DIST firefox-63.0.3-kab.xpi 490517 BLAKE2B f15c7b9096ebf046a7aa0eac8032e446918c15cfc20279bcfa53dfc510caffa0fbaa68d3fde323f82713e7931d8928df3570635f00eb2b53ea3a2c5e461ffa32 SHA512 b0692e6a1c9a3344641a60282311d499608f8b8e8bdd99e7f28a2f51b74104bbf22cb207767eace9d762119f433cb4c500ddaabb4432e3fc7204d7accdc5bbe2
+DIST firefox-63.0.3-kk.xpi 546393 BLAKE2B 749786e26bb890a95fe7d9a134f176dc9513da610e8e5041020dfe61ea99f4dd32fb64ce2d4a6198f64a5467b88153fc1999687b6f138a012c2de8d4ecc15c78 SHA512 d7bbc313a3950c031d6322afcd1855eceb82d9488b7d081c5a4a9cc25ee9d57957d1c968799e4452691d4e31bfcc84d6df7746ed0c0915a8ebceb75825127c97
+DIST firefox-63.0.3-km.xpi 530633 BLAKE2B 37580997c76543a6535a18c2d55db01ad7280c0554cd6018cd42ae51ad06ae04ae9c4d7cfdb56c38a6522f3cc4ca175db2c3662a9fa5e5a51a3c2b0b98ecbd53 SHA512 e6dcb07451b5e3bc3d0beb9d6a6c4500e24a7b9c16f698942d476cced9aba73e293879cc5798009d5821ee185641fa440f7e6f2f621c0b0c536bbbc4751084aa
+DIST firefox-63.0.3-kn.xpi 536462 BLAKE2B c7fc9cb3679f0df8df48aadaeca038b4372a51e9fa6d32dd919a4fa7eb2e6c5f2e3fdfc94478c5348a9ffed1aad6a263dead4d433e727ec3e645768d321bb184 SHA512 5f20f7eb07b663d2686838bbbc5df198b7eae3782df0acce5c5f1d9a5f071e0251b649544518b5dfc6abcc9f13e033402dc930fe95da892a25138d147cd3f291
+DIST firefox-63.0.3-ko.xpi 496524 BLAKE2B 38a8a1c2e0034eb856a95f325b5d0e82e794d7a3aa36cb983fb8c4b8a9dc3f658b67d631719a83bd2fb7357bdf64ae0df8dbfc19a561895427c745f04a589b52 SHA512 578da84fccd6b1146d2a9dbf644fe2281fe36da8584156c8a96e8856e6d0a20b3f74dca6b0b24a9de54d79a5438529ad3f7f85c844b3e1c3fe4906d09ee6ec3a
+DIST firefox-63.0.3-lij.xpi 478457 BLAKE2B 8b6ba9753ed5b44d4ee657b63bbb89ad0324442930611e564c99d99ab09334fee2f6a9c64b35efc7091fcfca36f30013b7b2039b657fc0a8d4698b1a711f7702 SHA512 aed40f7e8396628d37344e6c56947b198d7246e9810ae4f09061201fb3bdd2587b8636b5bad918ccbf56a25b6713bbdba156f94b38ec1646ef6d74576441a705
+DIST firefox-63.0.3-lt.xpi 501126 BLAKE2B 117804be6bdf49527e14557b96a7c21ec823341aabdc899ffb3908c10a1a23c3dde546ea87bc9ee8739d17fb26e03dccccf62f04c8ac6c3067a3d757277f80e2 SHA512 6ea979b20e353e509204c21aa157bc5618d277e4583ae04662750a4cf4567bf56c452b14585ebb0241b8675441b385dbf5cf00effb1bfa4f44f6e26d265cf217
+DIST firefox-63.0.3-lv.xpi 489160 BLAKE2B c031153ecfc8f6751cbbf933dce301801b3642dd6dc1153809305f5108e1b12cd632561757f5e1d2558952b15decbc75579e0448f996493f6b2f4d505c7dca2b SHA512 0400e3e3dcd5a2a6fb76b4bc5ba382fb7fd95bc443b20825056c5dae4875668af6167c2b97eaea5e294487730576314b7db7b4516fc9084ebc8eac65495061cc
+DIST firefox-63.0.3-mai.xpi 498741 BLAKE2B c0d5a45d0197ba835eb2dedf31836bb7f53111a929de060a8fe70184b40bb635a8d68dea01c6e8076b9abfd6214150f5fe47b7409069af9cd877d7ec6eeddc21 SHA512 77c06d0124135589db8e9b13e040332be18407fff87c03ba6c7290278314a7a42490f3aade94936a066f5e7a7e39d08a05c76b30e53ec744ce8db44cc5c723af
+DIST firefox-63.0.3-mk.xpi 463728 BLAKE2B 04145bb6683a57a37dac8f08edc89250fd4a0e809ba371e3d88933a732ac3e81001c1da75116341e268b6ee95f8705fd9ee9330f33e5ad9aafb2397f859ff109 SHA512 4f57d5f3a6516873e4c6a0228f68f2ca927008c691b026c8ee7025ecee0b6816304db5c809ab0a485ef2dde1df7c854d2dbc2a12aa2601f315923bbc48f0b06e
+DIST firefox-63.0.3-ml.xpi 546428 BLAKE2B 12cf9197042a09c3fb891786e50fdb8fcb5ebffb34b0ab2a3d25c1cbca4aec4ebed1e65dd0b45dc13c44c36cf39410760daad92618bb2854648d0e1ed63de244 SHA512 c1c6d61e0599ebe23991992843c0ece99293a4e41384068cfa8abd724d2e492317d81e3ac50baff94308243055f75cde942d9b31b5a63de0a330eacb679a8071
+DIST firefox-63.0.3-mr.xpi 538970 BLAKE2B 41061e7cd1eeb6712dee377433408b4c22834145949132be385cc887478af6333c97ee3f96349e67f749a0f7376e8ef76fac64dd2017e6a0175ef8619ea68a29 SHA512 6773e1c79fa55963689c2df4bdc53b49a6e72e5b820c1acbae03af9b17f45bb731efcf6ec11178d7e11eadf21b5c51dc5d09fb7d2830c65015f342ea52be88c6
+DIST firefox-63.0.3-ms.xpi 471526 BLAKE2B d94053f07170df8a063007a394454def23ef4e01a0ba20d01bba19700ad29d4c36039ebb14f01b52f331f56587ae641322e777a2af3cc57fb5aa8d6f150bb223 SHA512 2cfca289f25eccefdb72101d45b294cd2363ce606767d8434ee021e5a5a571efed8bf6f07b1be808bf7e3638b89e0d8d541478352e15387d4df02673d465461b
+DIST firefox-63.0.3-nb-NO.xpi 470895 BLAKE2B 0406a3355f16af12695f8a49131f50996748bac94b186d31fdbe1aa75c6ef7a3d069c04192919f45bc7b5a4be009cf1d2d66c8bb417338501409029bb6c4e559 SHA512 18462c2cff996316ccef0c6e7092a62aa29ed9e7eee13fcb539b107f5239f1bdc361a620ce4e40015fd5c844b31ca6363ecf362d8466e95776e8335b6e44e7a3
+DIST firefox-63.0.3-nl.xpi 460042 BLAKE2B b7c323f59aafad8af0adfbc8ec93095eb804add917eebbfe69b84d1afd5b82a8f38607829986b4dfd5f5700d3857b1eb938b5adde2f167bdb683e055dc939c3a SHA512 7014dcaa70d01b0df5827489bb4274cc0b5491a76613b8c34e520fe6e0f67a3c25032c76f79846ae99d2e52e46cb0a44291551b0fcbd6913480001724369a685
+DIST firefox-63.0.3-nn-NO.xpi 469113 BLAKE2B 6b7e4af774fcb884c2dc54be59012de793bbe6529337726e04c7160f03dcf94c17132c01105966d4de6721b239b14021694d95ed3559947da951fa8e5b5147f6 SHA512 0f94e1fefba9e2a091a524323c92b2371d9a9af3e6c9e157d2be2c9fb0d7f424c23bab4e6b07043929da6b0d2748c3b465c4690d70bf8ab2e46f2fb43ffd2c9f
+DIST firefox-63.0.3-or.xpi 489361 BLAKE2B 98d146db08dbf36e315467c0087256372e7d37ef9d28e7981307516d562705c8e50d04e315af946cc1ebefc992d8556ad049b9e033eac1c08c4edb1c4ed175db SHA512 ff464b19abaf9e10019fbf7f7485e525cb4f9d939cc0e318061730d400acd19f6f9455167d2050d037fef3db9dcd1e49224e1d3e959fc1ac1b5fecae209d6f9d
+DIST firefox-63.0.3-pa-IN.xpi 508191 BLAKE2B af606651f5be3450f6d83e04e4cd0ad59844e71be594c2b39423ec9d59da55e682eef1ecb2079e925fe020f3c4384f707b529e70d34a3c88fe568091385b507e SHA512 2cc164ff264416e445d67cffb48f7cac98cf71d0333c47a2a2216050bb9bf29471932bd8a07a7e75945ec34193d28ce345f1f54865e9bf8a04917532872045cf
+DIST firefox-63.0.3-pl.xpi 379306 BLAKE2B 79d9c9aff60416b5f9c2b59d2f16e1b4d1d3ad329eeb388bb672b5d6f903a57f7f371267590297e1b118b8f7c4ce9e9e4a53c27a009b09b9e4fc02e7ce8c1dc0 SHA512 fef7b5e0c81ab02b8ee50c62d616f778dda9e7f50960e23118dfa76b421b7a847bacf97e0dd26c227c139244cc093f96a56f8097e17a598286b7d6dc5d47d48c
+DIST firefox-63.0.3-pt-BR.xpi 471902 BLAKE2B b5772fa34cfebd4ed5234caa6b64c4f116fc092df4926df623553b95393a5a332fd40d97ddc338834186a79939ce58a6129bacdef49e6ece0bec8932c57e2c3c SHA512 9e02d2a200df9962510bb5602e9766d314c23beb1f0b71498188b6f8d44212227ff82367b7cdc022da7b89fdc43c5e418fe01c4823f00475084a4b3874d62015
+DIST firefox-63.0.3-pt-PT.xpi 485596 BLAKE2B b9ca7a9e090821e406b8e79dcf46d897a66d5974794a76658c8dae7e0a022efc95841f4eb02e7e541250856356ddec72bd58b537d702e92bd6f4f335914dafd8 SHA512 641e7fec7ef36b711df57f07c55c24aa0c0e0f58c8f13aaa888a289c2ae4825d4cba5cca77819dfbf9d41b8fa3fc388adb80414d0f98bcc611bdcbf27a30e4dd
+DIST firefox-63.0.3-rm.xpi 475828 BLAKE2B fe6576e45cee20536f5838b4fc292c80429fe6abae87164bdd7f65d9341caea92650db2419db401b1ba15c43aad361139132cf39d97b81009388a2b6ffbbca0e SHA512 658e786d03500e6eb25e6d687fc2fbfba9e949d23f68af91859d96b36a791adf96ccb5bef91cd93b484e78f2bdb441e634d6655b8410905d70fac0134b7e507c
+DIST firefox-63.0.3-ro.xpi 472568 BLAKE2B 96b28b1ad1afedd9bfa8acebddfa798809d29f472df12c8586add0609322f66074af902c345497c074c9c6c71336f64dc2d6bbd6efc1d76518256bc2caef6150 SHA512 aeac05bf7c1e38382572852767b1dc08d0f1c24ef608475bb192bb78fcdc1f9b8d115a9505c8b54ac093d381bb3cc65aebc9bdbf3f30d37ce668df298b82fe6f
+DIST firefox-63.0.3-ru.xpi 543429 BLAKE2B 91f025ca04653439c75750962d814bf37959669720074be51cf7e0d000c64d15ef1a1d7a58bb1e48aef61b22ee3e8a343259256a33dbe10c51621b8c747fb078 SHA512 961c976f223c46e69010c95153f5e11afe059eb5f1db68206e6e9be1be87182d96ae88f3591658c22d0023f96d58861258b88676a2865bc0425e096ced4ac64d
+DIST firefox-63.0.3-si.xpi 492577 BLAKE2B 58302e28ae7734a771cf45ef1959a96da217da23e52acab051478be736ccb713baefeef6eee9f0ae64152cf1744659704a52445f45f9196dbb6162f0b093a9fa SHA512 7b0c8b95cad7f511d41c3ecd8db852f7cd55a9159d7fe00c2f330783185773e6ff5b26db5079676ad596c6ce7885bf8106bb3cb4e45440479b41d63d63059f93
+DIST firefox-63.0.3-sk.xpi 500227 BLAKE2B 6abce5a7c0fd104dbd3ff7fc1b5dedf10d010a9af0b38074cf89b518c4137bf9e997e00b1f6124c62e176ee242a97cb3c2729d26587f97ce30f9864f9818d4e4 SHA512 c3ccec7a78913ae49abb0551d8472b56f3747df4ef46a481b0899ac3b2b48bbb9bc935ef5bf5e72cc681954f4d548f5a35afe0a6fd377bc3a80e53f1e23dcbfe
+DIST firefox-63.0.3-sl.xpi 482003 BLAKE2B 6e6c5e0e77572d97031f638177aa09507b1f2fd7271f7ce259daada5852453e77a689ffdd3a0363ca4be24d0c159662c46804b7bdd279d31d7416470ab6f9759 SHA512 09043faf4edf20259e341ba5ed8bf0e5af60abb0e8f0beec645b1e2febf26bbc7c5f2e33d1df6f06f47a0ad55673139b41d4ca9af742dc66dfc3cffe69d7dff2
+DIST firefox-63.0.3-son.xpi 452799 BLAKE2B 5c9e6ec194848d871da005833eb6e727f995953b92632f3aeabd69058b8a33fcd5ba1b25ec0849f67ee02c35f11c09c710cafd3909ce6c5c5020eea2eb17a727 SHA512 c28be520e4277392decad4862260db14482aac538db644fc047b63ca1d57b02b244a8d9c90bda47ca1122539cf641f0a6aa1a79418693bef4680627297bba28a
+DIST firefox-63.0.3-sq.xpi 492310 BLAKE2B 6570b165f7bd0398c42e65321b51fc10a8b751dcf61578cedd6d0db93ab13ced172fa49610898a10771d8eb99b24ef00f29157735ea29bc84c66edd9d745f20b SHA512 b78089e18284d207c4096829fb745935ed43522ca77c0799531c9beb1277b1bb853130f1d967a6bb93ad6ac53e009db59e25ad4e100e77d4525840326766ade5
+DIST firefox-63.0.3-sr.xpi 507257 BLAKE2B 8a0239ce13cf861552b09ada576090bf7a6003da948454bc60511650246cc057c5c2c4e3a93e21f689e959e0504bc2c3b9e22670cc48779caa85644953b01dca SHA512 255eecbae464601f12e6283978e21968565583e561135870d296a0bf9a02bff7ff5f90df109fc7192d54e8460c6ef7418321efce84a5dc3d6d9fbab9b997bd16
+DIST firefox-63.0.3-sv-SE.xpi 481625 BLAKE2B b82147aabee1901c156c36f904d1b2a54016c36451f34ec67642d8a4e2c6e5ec0a26315b44d15f23661626d62554460d84dbbef6fc1041ef7f661411ea3f8a08 SHA512 e55a6606a377b6e1856d12e7df763eb6f30d3ecf8f101e02bb0d2a8d7b614c95911f685f0c956033f6cf12e4dc30d463c03771f5104fd776b746cea91c60ddfe
+DIST firefox-63.0.3-ta.xpi 533418 BLAKE2B d102644d4833dc9d38d5fe18d41620c7147f91b5dc47b18a71ceaad71c76c786e8a173d808229d422debb3360f2d0b72f2730668a31cc880d007e069c9afa223 SHA512 cf0ca2c4e5f57ff8c062cd1ce0c0b7db3a26d7f1a280ff7d85333f60880e57018853f46aae1cdcea7a30512806b79e3af09532fb79330657fdcacfe0999985ed
+DIST firefox-63.0.3-te.xpi 545789 BLAKE2B 3283f979c361b405237b9004a2c3ba7437ef16ab36c915c9190df8e08687a2c39e030ebf22473f5b47c5c91b7c60e1fe9f23361f55474e6e663e647df181fbfb SHA512 4a0e5c68c8ae5062088645cf263746fd093770346327245c5625ef541264d263cb23a250ffc858b489f7252bccd3e0e9e95307ba3b3306c54544415f03a49772
+DIST firefox-63.0.3-th.xpi 519006 BLAKE2B 5db2c214b0fc0a6e64768cedad72028c1efa29d7a860a9338d199decf4bed7463f89ac7aef60fff4f388a67f11a3f5924e66aedc84f4af69db3bc5ebb05bc96a SHA512 ef6bb5c619d9982686959ff96d860870293b2e4af27398562c8456ed9837a95c0bf90dce25328adc768eba7e09a81f7a493543ced10291b7bd28203553f3071a
+DIST firefox-63.0.3-tr.xpi 491288 BLAKE2B 785daa0a970ce236ec3a77d415085fbba39c2bc2a2aa08cfbf9958c33df531bdae4493c4fa9222cf73e29025e9bc9a4e18f1288205f0231a5b16778526e2b9eb SHA512 915ec1248c66950d560297217d814cfa1a25cd3cd03f0e19d9195ee325126376e0c8ed63d2923cc73dbcd42340d3fb575efb5c88186e756832b754b33af51223
+DIST firefox-63.0.3-uk.xpi 548378 BLAKE2B 18c52445297102c59a67dd1c75f84c7c0f61f981ca5fa2f20941c8d30e110d7bc3e6c943a1fffe91328732526d1931d8bcec48e2446345e0c977fa1643fdd0c5 SHA512 e7d8b140fb1a43fcc9c97edc9490c8a18f277e16c2cadd6d55dbd6595fe67501f7f9e5fdf8adf9368ef848eeb1222bb54c283c0b1046ca67958d426f435f6657
+DIST firefox-63.0.3-uz.xpi 469357 BLAKE2B 3ad99bd587ad1700c60a483af470f2f8f48d2d6d5d97cd94c0de541c1de4b3ab5145bff26b9bc65edf1dd6748b6949fa22fc0e3fd56a48e4b3b92c07ae0e80ce SHA512 6d1721f7dc29a2afed93fb71b259adf9ef5274f6af26f5b957dde6d1541446c8cf3ebc6b56526c22cec12fe22c0f8ce84ad7177be9649f6ff0c1856045f069eb
+DIST firefox-63.0.3-vi.xpi 489043 BLAKE2B ce0fe30bbdd1b98f1006e4c2271c336578a4ee8a641c97043704263b834e547edd466e4d1289cf04dd3ae122090af4c214651f7314fbceb28b632681e99598fd SHA512 097bddbaa785e3f57573532fdb99caea208a1147575ce788c91b72d5ecba05e596a03aef009d2995f37676339712781d9111adab66620ac3e4faf3287b17298e
+DIST firefox-63.0.3-xh.xpi 466840 BLAKE2B 0a7e6411589ed2c4d213184267063ca44bfc6b7db22b39e52e6914220c1f35f0b74f0093673e8510fa07ed6fec180fc1aaca51ca934765a2cb77d77f2961217a SHA512 4eb908ea5dbedeb0aeb7ebfae0ca05ae87257825a0da5670e6f3d048372dd708f3aee29a51d9acb247fc1e611a4839f413bbcc02ea754a4ff73198f6e9fcdd09
+DIST firefox-63.0.3-zh-CN.xpi 504055 BLAKE2B 2f8903d471bbee4a2b708df9676a5e92137e4b355c10e7009d71366c6bb3612c745a87999ef0bddcb250fa7b5f8e0f1b3fc8513547353efa5541bf07946f073d SHA512 ec7081cb607234c7979dce809613d3fc9230cf256d9f40fec5723dd6f28659a48f3a84afd4563e6e46b023b7089bab456fec2f0ac7da3b60001cf47e7d91b1b9
+DIST firefox-63.0.3-zh-TW.xpi 507002 BLAKE2B 8fb7d9d8241b408a5b010bcbca741f7668f31e5e6dba4a8ad567276f1c538a433b2561b49eef703379d67364dc466929f1809f0dd610326e22a6f341e0482082 SHA512 4988e0be851d6a224524bd88958f804867f143a18167259666241aa50249bb350d8b431c4b3a1aebd7c399d666e7ffa9f87d589fa162a60df08affb4b77a1b18
+DIST firefox-63.0.3.source.tar.xz 266109244 BLAKE2B 19bf7ca09d62e62dd233f6ae516800ab5e06435973763fb444fc1f895be67a54fb543a629adfe63698e7c5909e4e7169504469b968d32c0bc91d4bd90b9707e0 SHA512 6c05aea0b704ede39abf83aba02c4713a8f5ab6673a8897f6bb4147d5e90c234e351f584010e195e46382d217d02d8eec5a5d4b9f4694c14c55172987bb695c2
diff --git a/www-client/firefox/firefox-63.0.3.ebuild b/www-client/firefox/firefox-63.0.3.ebuild
new file mode 100644
index 00000000000..c387cb090af
--- /dev/null
+++ b/www-client/firefox/firefox-63.0.3.ebuild
@@ -0,0 +1,641 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+VIRTUALX_REQUIRED="pgo"
+WANT_AUTOCONF="2.1"
+MOZ_ESR=""
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE='ncurses,sqlite,ssl,threads(+)'
+
+# This list can be updated with scripts/get_langs.sh from the mozilla overlay
+MOZ_LANGS=( ach af an ar as ast az bg bn-BD bn-IN br bs ca cak cs cy da de dsb
+el en en-GB en-US en-ZA eo es-AR es-CL es-ES es-MX et eu fa ff fi fr fy-NL ga-IE
+gd gl gn gu-IN he hi-IN hr hsb hu hy-AM id is it ja ka kab kk km kn ko lij lt lv
+mai mk ml mr ms nb-NO nl nn-NO or pa-IN pl pt-BR pt-PT rm ro ru si sk sl son sq
+sr sv-SE ta te th tr uk uz vi xh zh-CN zh-TW )
+
+# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
+MOZ_PV="${PV/_alpha/a}" # Handle alpha for SRC_URI
+MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
+MOZ_PV="${MOZ_PV/_rc/rc}" # Handle rc for SRC_URI
+
+if [[ ${MOZ_ESR} == 1 ]]; then
+ # ESR releases have slightly different version numbers
+ MOZ_PV="${MOZ_PV}esr"
+fi
+
+# Patch version
+PATCH="${PN}-63.0-patches-01"
+MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
+
+inherit check-reqs flag-o-matic toolchain-funcs eutils gnome2-utils llvm \
+ mozcoreconf-v6 pax-utils xdg-utils autotools mozlinguas-v2
+
+DESCRIPTION="Firefox Web Browser"
+HOMEPAGE="https://www.mozilla.com/firefox"
+
+KEYWORDS="~amd64 ~x86"
+
+SLOT="0"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="bindist clang dbus debug eme-free geckodriver +gmp-autoupdate hardened hwaccel
+ jack lto neon pulseaudio +screenshot selinux startup-notification
+ system-harfbuzz system-icu system-jpeg system-libevent system-sqlite
+ system-libvpx test wifi"
+RESTRICT="!bindist? ( bindist )"
+
+PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c}/mozilla/patchsets/${PATCH}.tar.xz )
+SRC_URI="${SRC_URI}
+ ${MOZ_HTTP_URI}/${MOZ_PV}/source/firefox-${MOZ_PV}.source.tar.xz
+ ${PATCH_URIS[@]}"
+
+CDEPEND="
+ >=dev-libs/nss-3.39
+ >=dev-libs/nspr-4.19
+ >=app-text/hunspell-1.5.4:=
+ dev-libs/atk
+ dev-libs/expat
+ >=x11-libs/cairo-1.10[X]
+ >=x11-libs/gtk+-2.18:2
+ >=x11-libs/gtk+-3.4.0:3
+ x11-libs/gdk-pixbuf
+ >=x11-libs/pango-1.22.0
+ >=media-libs/libpng-1.6.34:0=[apng]
+ >=media-libs/mesa-10.2:*
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
+ virtual/freedesktop-icon-theme
+ dbus? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72 )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ >=x11-libs/pixman-0.19.2
+ >=dev-libs/glib-2.26:2
+ >=sys-libs/zlib-1.2.3
+ >=virtual/libffi-3.0.10:=
+ virtual/ffmpeg
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrender
+ x11-libs/libXt
+ system-icu? ( >=dev-libs/icu-60.2:= )
+ system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
+ system-libevent? ( >=dev-libs/libevent-2.0:0= )
+ system-sqlite? ( >=dev-db/sqlite-3.24.0:3[secure-delete,debug=] )
+ system-libvpx? ( >=media-libs/libvpx-1.5.0:0=[postproc] )
+ system-harfbuzz? ( >=media-libs/harfbuzz-1.4.2:0= >=media-gfx/graphite2-1.3.9-r1 )
+ wifi? ( kernel_linux? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72
+ net-misc/networkmanager ) )
+ jack? ( virtual/jack )
+ selinux? ( sec-policy/selinux-mozilla )"
+
+RDEPEND="${CDEPEND}
+ jack? ( virtual/jack )
+ pulseaudio? ( || ( media-sound/pulseaudio
+ >=media-sound/apulse-0.1.9 ) )
+ selinux? ( sec-policy/selinux-mozilla )"
+
+DEPEND="${CDEPEND}
+ app-arch/zip
+ app-arch/unzip
+ dev-util/cbindgen
+ >=net-libs/nodejs-8.11.0
+ >=sys-devel/binutils-2.30
+ sys-apps/findutils
+ >=sys-devel/llvm-4.0.1
+ >=sys-devel/clang-4.0.1
+ clang? (
+ >=sys-devel/llvm-4.0.1[gold]
+ >=sys-devel/lld-4.0.1
+ )
+ pulseaudio? ( media-sound/pulseaudio )
+ >=virtual/cargo-1.28.0
+ >=virtual/rust-1.28.0
+ amd64? ( >=dev-lang/yasm-1.1 virtual/opengl )
+ x86? ( >=dev-lang/yasm-1.1 virtual/opengl )"
+
+REQUIRED_USE="wifi? ( dbus )"
+
+S="${WORKDIR}/firefox-${PV%_*}"
+
+QA_PRESTRIPPED="usr/lib*/${PN}/firefox"
+
+BUILD_OBJ_DIR="${S}/ff"
+
+# allow GMP_PLUGIN_LIST to be set in an eclass or
+# overridden in the enviromnent (advanced hackers only)
+if [[ -z $GMP_PLUGIN_LIST ]]; then
+ GMP_PLUGIN_LIST=( gmp-gmpopenh264 gmp-widevinecdm )
+fi
+
+llvm_check_deps() {
+ has_version "sys-devel/clang:${LLVM_SLOT}"
+}
+
+pkg_setup() {
+ moz_pkgsetup
+
+ # Avoid PGO profiling problems due to enviroment leakage
+ # These should *always* be cleaned up anyway
+ unset DBUS_SESSION_BUS_ADDRESS \
+ DISPLAY \
+ ORBIT_SOCKETDIR \
+ SESSION_MANAGER \
+ XDG_SESSION_COOKIE \
+ XAUTHORITY
+
+ if ! use bindist; then
+ einfo
+ elog "You are enabling official branding. You may not redistribute this build"
+ elog "to any users on your network or the internet. Doing so puts yourself into"
+ elog "a legal problem with Mozilla Foundation."
+ elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag."
+ fi
+
+ addpredict /proc/self/oom_score_adj
+
+ llvm_pkg_setup
+}
+
+pkg_pretend() {
+ # Ensure we have enough disk space to compile
+ CHECKREQS_DISK_BUILD="4G"
+
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+
+ # Unpack language packs
+ mozlinguas_src_unpack
+}
+
+src_prepare() {
+ eapply "${WORKDIR}/firefox"
+
+ # Allow user to apply any additional patches without modifing ebuild
+ eapply_user
+
+ # Enable gnomebreakpad
+ if use debug ; then
+ sed -i -e "s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \
+ "${S}"/build/unix/run-mozilla.sh || die "sed failed!"
+ fi
+
+ # Drop -Wl,--as-needed related manipulation for ia64 as it causes ld sefgaults, bug #582432
+ if use ia64 ; then
+ sed -i \
+ -e '/^OS_LIBS += no_as_needed/d' \
+ -e '/^OS_LIBS += as_needed/d' \
+ "${S}"/widget/gtk/mozgtk/gtk2/moz.build \
+ "${S}"/widget/gtk/mozgtk/gtk3/moz.build \
+ || die "sed failed to drop --as-needed for ia64"
+ fi
+
+ # Ensure that our plugins dir is enabled as default
+ sed -i -e "s:/usr/lib/mozilla/plugins:/usr/lib/nsbrowser/plugins:" \
+ "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 32bit!"
+ sed -i -e "s:/usr/lib64/mozilla/plugins:/usr/lib64/nsbrowser/plugins:" \
+ "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 64bit!"
+
+ # Fix sandbox violations during make clean, bug 372817
+ sed -e "s:\(/no-such-file\):${T}\1:g" \
+ -i "${S}"/config/rules.mk \
+ -i "${S}"/nsprpub/configure{.in,} \
+ || die
+
+ # Don't exit with error when some libs are missing which we have in
+ # system.
+ sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+ -i "${S}"/browser/installer/Makefile.in || die
+
+ # Don't error out when there's no files to be removed:
+ sed 's@\(xargs rm\)$@\1 -f@' \
+ -i "${S}"/toolkit/mozapps/installer/packager.mk || die
+
+ # Keep codebase the same even if not using official branding
+ sed '/^MOZ_DEV_EDITION=1/d' \
+ -i "${S}"/browser/branding/aurora/configure.sh || die
+
+ # rustfmt, a tool to format Rust code, is optional and not required to build Firefox.
+ # However, when available, an unsupported version can cause problems, bug #669548
+ sed -i -e "s@check_prog('RUSTFMT', add_rustup_path('rustfmt')@check_prog('RUSTFMT', add_rustup_path('rustfmt_do_not_use')@" \
+ "${S}"/build/moz.configure/rust.configure || die
+
+ # Autotools configure is now called old-configure.in
+ # This works because there is still a configure.in that happens to be for the
+ # shell wrapper configure script
+ eautoreconf old-configure.in
+
+ # Must run autoconf in js/src
+ cd "${S}"/js/src || die
+ eautoconf old-configure.in
+}
+
+src_configure() {
+ MEXTENSIONS="default"
+ # Google API keys (see http://www.chromium.org/developers/how-tos/api-keys)
+ # Note: These are for Gentoo Linux use ONLY. For your own distribution, please
+ # get your own set of keys.
+ _google_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
+
+ # Add information about TERM to output (build.log) to aid debugging
+ # blessings problems
+ if [[ -n "${TERM}" ]] ; then
+ einfo "TERM is set to: \"${TERM}\""
+ else
+ einfo "TERM is unset."
+ fi
+
+ if use clang && ! tc-is-clang ; then
+ # Force clang
+ einfo "Enforcing the use of clang due to USE=clang ..."
+ CC=${CHOST}-clang
+ CXX=${CHOST}-clang++
+ strip-unsupported-flags
+ elif ! use clang && ! tc-is-gcc ; then
+ # Force gcc
+ einfo "Enforcing the use of gcc due to USE=-clang ..."
+ CC=${CHOST}-gcc
+ CXX=${CHOST}-g++
+ strip-unsupported-flags
+ fi
+
+ ####################################
+ #
+ # mozconfig, CFLAGS and CXXFLAGS setup
+ #
+ ####################################
+
+ mozconfig_init
+ # common config components
+ mozconfig_annotate 'system_libs' \
+ --with-system-zlib \
+ --with-system-bz2
+
+ # Must pass release in order to properly select linker
+ mozconfig_annotate 'Enable by Gentoo' --enable-release
+
+ # Don't let user's LTO flags clash with upstream's flags
+ filter-flags -flto*
+
+ if use lto ; then
+ local show_old_compiler_warning=
+
+ if use clang ; then
+ # At this stage CC is adjusted and the following check will
+ # will work
+ if [[ $(clang-major-version) -lt 7 ]]; then
+ show_old_compiler_warning=1
+ fi
+
+ # Upstream only supports lld when using clang
+ mozconfig_annotate "forcing ld=lld due to USE=clang and USE=lto" --enable-linker=lld
+ else
+ if [[ $(gcc-major-version) -lt 8 ]]; then
+ show_old_compiler_warning=1
+ fi
+
+ # Linking only works when using ld.gold when LTO is enabled
+ mozconfig_annotate "forcing ld=gold due to USE=lto" --enable-linker=gold
+ fi
+
+ if [[ -n "${show_old_compiler_warning}" ]]; then
+ # Checking compiler's major version uses CC variable. Because we allow
+ # user to control used compiler via USE=clang flag, we cannot use
+ # initial value. So this is the earliest stage where we can do this check
+ # because pkg_pretend is not called in the main phase function sequence
+ # environment saving is not guaranteed so we don't know if we will have
+ # correct compiler until now.
+ ewarn ""
+ ewarn "USE=lto requires up-to-date compiler (>=gcc-8 or >=clang-7)."
+ ewarn "You are on your own -- expect build failures. Don't file bugs using that unsupported configuration!"
+ ewarn ""
+ sleep 5
+ fi
+
+ mozconfig_annotate '+lto' --enable-lto=thin
+ else
+ # Avoid auto-magic on linker
+ if use clang ; then
+ # This is upstream's default
+ mozconfig_annotate "forcing ld=lld due to USE=clang" --enable-linker=lld
+ elif tc-ld-is-gold ; then
+ mozconfig_annotate "linker is set to gold" --enable-linker=gold
+ else
+ mozconfig_annotate "linker is set to bfd" --enable-linker=bfd
+ fi
+ fi
+
+ # It doesn't compile on alpha without this LDFLAGS
+ use alpha && append-ldflags "-Wl,--no-relax"
+
+ # Add full relro support for hardened
+ if use hardened; then
+ append-ldflags "-Wl,-z,relro,-z,now"
+ mozconfig_use_enable hardened hardening
+ fi
+
+ # Modifications to better support ARM, bug 553364
+ if use neon ; then
+ mozconfig_annotate '' --with-fpu=neon
+
+ if ! tc-is-clang ; then
+ # thumb options aren't supported when using clang, bug 666966
+ mozconfig_annotate '' --with-thumb=yes
+ mozconfig_annotate '' --with-thumb-interwork=no
+ fi
+ fi
+ if [[ ${CHOST} == armv*h* ]] ; then
+ mozconfig_annotate '' --with-float-abi=hard
+ if ! use system-libvpx ; then
+ sed -i -e "s|softfp|hard|" \
+ "${S}"/media/libvpx/moz.build
+ fi
+ fi
+
+ mozconfig_use_enable !bindist official-branding
+ # Enable position independent executables
+ mozconfig_annotate 'enabled by Gentoo' --enable-pie
+
+ mozconfig_use_enable debug
+ mozconfig_use_enable debug tests
+ if ! use debug ; then
+ mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ else
+ mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
+ fi
+ # These are enabled by default in all mozilla applications
+ mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --with-system-nss --with-nss-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --x-includes="${SYSROOT}${EPREFIX}"/usr/include \
+ --x-libraries="${SYSROOT}${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --disable-crashreporter
+ mozconfig_annotate 'Gentoo default' --with-system-png
+ mozconfig_annotate '' --enable-system-ffi
+ mozconfig_annotate '' --disable-gconf
+ mozconfig_annotate '' --with-intl-api
+ mozconfig_annotate '' --enable-system-pixman
+ # Instead of the standard --build= and --host=, mozilla uses --host instead
+ # of --build, and --target intstead of --host.
+ # Note, mozilla also has --build but it does not do what you think it does.
+ # Set both --target and --host as mozilla uses python to guess values otherwise
+ mozconfig_annotate '' --target="${CHOST}"
+ mozconfig_annotate '' --host="${CBUILD:-${CHOST}}"
+ if use system-libevent; then
+ mozconfig_annotate '' --with-system-libevent="${SYSROOT}${EPREFIX}"/usr
+ fi
+
+ # skia has no support for big-endian platforms
+ if [[ $(tc-endian) == "big" ]]; then
+ mozconfig_annotate 'big endian target' --disable-skia
+ else
+ mozconfig_annotate '' --enable-skia
+ fi
+
+ # use the gtk3 toolkit (the only one supported at this point)
+ mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3
+
+ mozconfig_use_enable startup-notification
+ mozconfig_use_enable system-sqlite
+ mozconfig_use_with system-jpeg
+ mozconfig_use_with system-icu
+ mozconfig_use_with system-libvpx
+ mozconfig_use_with system-harfbuzz
+ mozconfig_use_with system-harfbuzz system-graphite2
+ mozconfig_use_enable pulseaudio
+ # force the deprecated alsa sound code if pulseaudio is disabled
+ if use kernel_linux && ! use pulseaudio ; then
+ mozconfig_annotate '-pulseaudio' --enable-alsa
+ fi
+
+ # Disable built-in ccache support to avoid sandbox violation, #665420
+ # Use FEATURES=ccache instead!
+ mozconfig_annotate '' --without-ccache
+ sed -i -e 's/ccache_stats = None/return None/' \
+ python/mozbuild/mozbuild/controller/building.py || \
+ die "Failed to disable ccache stats call"
+
+ mozconfig_use_enable dbus
+
+ mozconfig_use_enable wifi necko-wifi
+
+ mozconfig_use_enable geckodriver
+
+ # enable JACK, bug 600002
+ mozconfig_use_enable jack
+
+ # Enable/Disable eme support
+ use eme-free && mozconfig_annotate '+eme-free' --disable-eme
+
+ # Setup api key for location services
+ echo -n "${_google_api_key}" > "${S}"/google-api-key
+ mozconfig_annotate '' --with-google-api-keyfile="${S}/google-api-key"
+
+ mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
+
+ # disable webrtc for now, bug 667642
+ use arm && mozconfig_annotate 'broken on arm' --disable-webrtc
+
+ if use clang ; then
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1423822
+ # bug #669382
+ mozconfig_annotate 'elf-hack is broken when using Clang' --disable-elf-hack
+ fi
+
+ echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
+ echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
+
+ # Finalize and report settings
+ mozconfig_final
+
+ # workaround for funky/broken upstream configure...
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ ./mach configure || die
+}
+
+src_compile() {
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ ./mach build --verbose || die
+}
+
+src_install() {
+ cd "${BUILD_OBJ_DIR}" || die
+
+ # Pax mark xpcshell for hardened support, only used for startupcache creation.
+ pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
+
+ # Add our default prefs for firefox
+ cp "${FILESDIR}"/gentoo-default-prefs.js-2 \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+
+ # set dictionary path, to use system hunspell
+ echo "pref(\"spellchecker.dictionary_path\", \"${EPREFIX}/usr/share/myspell\");" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
+
+ # force the graphite pref if system-harfbuzz is enabled, since the pref cant disable it
+ if use system-harfbuzz ; then
+ echo "sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
+ fi
+
+ # force cairo as the canvas renderer on platforms without skia support
+ if [[ $(tc-endian) == "big" ]] ; then
+ echo "sticky_pref(\"gfx.canvas.azure.backends\",\"cairo\");" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
+ echo "sticky_pref(\"gfx.content.azure.backends\",\"cairo\");" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
+ fi
+
+ # Augment this with hwaccel prefs
+ if use hwaccel ; then
+ cat "${FILESDIR}"/gentoo-hwaccel-prefs.js-1 >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+ fi
+
+ if ! use screenshot; then
+ echo "pref(\"extensions.screenshots.disabled\", true);" >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+ fi
+
+ echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+
+ local plugin
+ use gmp-autoupdate || use eme-free || for plugin in "${GMP_PLUGIN_LIST[@]}" ; do
+ echo "pref(\"media.${plugin}.autoupdate\", false);" >> \
+ "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+ || die
+ done
+
+ cd "${S}"
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ DESTDIR="${D}" ./mach install || die
+
+ if use geckodriver ; then
+ cp "${BUILD_OBJ_DIR}"/dist/bin/geckodriver "${ED%/}"${MOZILLA_FIVE_HOME} || die
+ pax-mark m "${ED%/}"${MOZILLA_FIVE_HOME}/geckodriver
+
+ dosym ${MOZILLA_FIVE_HOME}/geckodriver /usr/bin/geckodriver
+ fi
+
+ # Install language packs
+ MOZ_INSTALL_L10N_XPIFILE="1" mozlinguas_src_install
+
+ local size sizes icon_path icon name
+ if use bindist; then
+ sizes="16 32 48"
+ icon_path="${S}/browser/branding/aurora"
+ # Firefox's new rapid release cycle means no more codenames
+ # Let's just stick with this one...
+ icon="aurora"
+ name="Aurora"
+
+ # Override preferences to set the MOZ_DEV_EDITION defaults, since we
+ # don't define MOZ_DEV_EDITION to avoid profile debaucles.
+ # (source: browser/app/profile/firefox.js)
+ cat >>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" <<PROFILE_EOF
+pref("app.feedback.baseURL", "https://input.mozilla.org/%LOCALE%/feedback/firefoxdev/%VERSION%/");
+sticky_pref("lightweightThemes.selectedThemeID", "firefox-devedition@mozilla.org");
+sticky_pref("browser.devedition.theme.enabled", true);
+sticky_pref("devtools.theme", "dark");
+PROFILE_EOF
+
+ else
+ sizes="16 22 24 32 48 64 128 256"
+ icon_path="${S}/browser/branding/official"
+ icon="${PN}"
+ name="Mozilla Firefox"
+ fi
+
+ # Disable built-in auto-update because we update firefox through package manager
+ insinto ${MOZILLA_FIVE_HOME}/distribution/
+ newins "${FILESDIR}"/disable-auto-update.policy.json policies.json
+
+ # Install icons and .desktop for menu entry
+ for size in ${sizes}; do
+ insinto "/usr/share/icons/hicolor/${size}x${size}/apps"
+ newins "${icon_path}/default${size}.png" "${icon}.png"
+ done
+ # Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
+ newicon "${icon_path}/default48.png" "${icon}.png"
+ newmenu "${FILESDIR}/icon/${PN}.desktop" "${PN}.desktop"
+ sed -i -e "s:@NAME@:${name}:" -e "s:@ICON@:${icon}:" \
+ "${ED}/usr/share/applications/${PN}.desktop" || die
+
+ # Add StartupNotify=true bug 237317
+ if use startup-notification ; then
+ echo "StartupNotify=true"\
+ >> "${ED}/usr/share/applications/${PN}.desktop" \
+ || die
+ fi
+
+ # Don't install llvm-symbolizer from sys-devel/llvm package
+ [[ -f "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer" ]] && \
+ rm "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer"
+
+ # firefox and firefox-bin are identical
+ rm "${ED%/}"${MOZILLA_FIVE_HOME}/firefox-bin || die
+ dosym firefox ${MOZILLA_FIVE_HOME}/firefox-bin
+
+ # Required in order to use plugins and even run firefox on hardened.
+ pax-mark m "${ED}"${MOZILLA_FIVE_HOME}/{firefox,plugin-container}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+
+ # if the apulse libs are available in MOZILLA_FIVE_HOME then apulse
+ # doesn't need to be forced into the LD_LIBRARY_PATH
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.9" ; then
+ einfo "APULSE found - Generating library symlinks for sound support"
+ local lib
+ pushd "${ED}"${MOZILLA_FIVE_HOME} &>/dev/null || die
+ for lib in ../apulse/libpulse{.so{,.0},-simple.so{,.0}} ; do
+ # a quickpkg rolled by hand will grab symlinks as part of the package,
+ # so we need to avoid creating them if they already exist.
+ if ! [ -L ${lib##*/} ]; then
+ ln -s "${lib}" ${lib##*/} || die
+ fi
+ done
+ popd &>/dev/null || die
+ fi
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+
+ if ! use gmp-autoupdate && ! use eme-free ; then
+ elog "USE='-gmp-autoupdate' has disabled the following plugins from updating or"
+ elog "installing into new profiles:"
+ local plugin
+ for plugin in "${GMP_PLUGIN_LIST[@]}"; do elog "\t ${plugin}" ; done
+ elog
+ fi
+
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.9"; then
+ elog "Apulse was detected at merge time on this system and so it will always be"
+ elog "used for sound. If you wish to use pulseaudio instead please unmerge"
+ elog "media-sound/apulse."
+ elog
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}